routes/web.php
Route::delete('/Matauang/editstatus/{id}', 'MatauangController@editstatus');

Route::get('Kota/datatable', 'KotaController@datatable')->name('Kota.datatable');
Route::resource('Kota', 'KotaController');
Route::post('Kota/update_data', 'KotaController@update_data')->name('Kota.update_data');

Route::get('Gudang/datatable', 'GudangController@datatable')->name('Gudang.datatable');
Route::resource('Gudang', 'GudangController');
Route::post('Gudang/update_data', 'GudangController@update_data')->name('Gudang.update_data');

Route::get('GroupSupplier/datatable', 'GroupSupplierController@datatable')->name('GroupSupplier.datatable');
Route::resource('GroupSupplier', 'GroupSupplierController');
Route::post('GroupSupplier/update_data', 'GroupSupplierController@update_data')->name('GroupSupplier.update_data');

Route::get('Supplier/datatable', 'SupplierController@datatable')->name('Supplier.datatable');
Route::resource('Supplier', 'SupplierController');
Route::post('Supplier/update_data', 'SupplierController@update_data')->name('Supplier.update_data');

Route::get('GroupCustomer/datatable', 'GroupCustomerController@datatable')->name('GroupCustomer.datatable');
Route::resource('GroupCustomer', 'GroupCustomerController');
Route::post('GroupCustomer/update_data', 'GroupCustomerController@update_data')->name('GroupCustomer.update_data');

Route::get('Customer/datatable', 'CustomerController@datatable')->name('Customer.datatable');
Route::resource('Customer', 'CustomerController');
Route::post('Customer/update_data', 'CustomerController@update_data')->name('Customer.update_data');

Route::get('GroupBarang/datatable', 'GroupBarangController@datatable')->name('GroupBarang.datatable');
Route::get('/GroupBarang', 'GroupbarangController@index');
Route::get('/Groupbarang/tambah_group', 'GroupbarangController@tambah_data');
Route::get('/GroupBarang/edit_group_barang/{id}', 'GroupbarangController@editdata');
Route::delete('/GroupBarang/hapus_group_barang/{id}', 'GroupbarangController@hapusdata');

Route::get('Kategori/datatable', 'KategoriController@datatable')->name('Kategori.datatable');
Route::resource('Kategori', 'KategoriController');
Route::post('Kategori/update_data', 'KategoriController@update_data')->name('Kategori.update_data');

Route::get('Ukuran/datatable', 'UkuranController@datatable')->name('Ukuran.datatable');
Route::resource('Ukuran', 'UkuranController');
Route::post('Ukuran/update_data', 'UkuranController@update_data')->name('Ukuran.update_data');

Route::get('Satuan/datatable', 'SatuanController@datatable')->name('Satuan.datatable');
Route::resource('Satuan', 'SatuanController');
Route::post('Satuan/update_data', 'SatuanController@update_data')->name('Satuan.update_data');

Route::get('Tipe/datatable', 'TipeController@datatable')->name('Tipe.datatable');
Route::resource('Tipe', 'TipeController');
Route::post('Tipe/update_data', 'TipeController@update_data')->name('Tipe.update_data');

Route::get('/Barang', 'BarangController@index');
Route::get('Barang/datatable', 'BarangController@datatable')->name('Barang.datatable');
Route::get('/Barang/create', 'BarangController@create');
Route::get('/Barang/edit_barang/{id}', 'BarangController@update');
Route::delete('/Barang/hapus_barang/{id}', 'BarangController@editstatus');
Route::get('Barang/pencarian', 'BarangController@pencarian');

// Harga Jual //
Route::get('HargaJualBarang/datatable', 'HargaJualBarangController@datatable')->name('HargaJualBarang.datatable');
Route::post('HargaJualBarang/update_data', 'HargaJualBarangController@update_data')->name('HargaJualBarang.update_data');
Route::resource('HargaJualBarang', 'HargaJualBarangController');
Route::post('HargaJualBarang/get_satuan', 'HargaJualBarangController@get_satuan')->name('HargaJualBarang.get_satuan');

Route::get('Po/laporan', 'POController@laporan')->name('Po.laporan');
Route::get('Po/datatable', 'POController@datatable')->name('Po.datatable');
Route::get('Po/datatable_detail', 'POController@datatable_detail')->name('Po.datatable_detail');
Route::get('Po/get_barang', 'POController@get_barang')->name('Po.get_barang');
Route::get('Po/get_satuan', 'POController@get_satuan')->name('Po.get_satuan');
Route::get('Po/get_harga_jual', 'POController@get_harga_jual')->name('Po.get_harga_jual');
Route::get('Po/laporan_po', 'POController@laporan_po')->name('Po.laporan_po');
Route::resource('Po', 'POController');
Route::post('Po/number_so', 'POController@number_so')->name('Po.number');
Route::post('Po/get_coa', 'POController@get_coa')->name('Po.get_coa');
Route::post('Po/update_data', 'POController@update_data')->name('Po.update_data');
Route::get('Po/detail/{id}', 'POController@detail')->name('Po.detail');
Route::get('Po/print/{id}', 'POController@print')->name('Po.print');

// PENERIMAAN BARANG //
Route::get('PenerimaanBarang/datatable_detail', 'PenerimaanBarangController@datatable_detail')->name('PenerimaanBarang.datatable_detail');
Route::get('PenerimaanBarang/datatable_laporan', 'PenerimaanBarangController@datatable_laporan')->name('PenerimaanBarang.datatable_laporan');
Route::get('PenerimaanBarang/datatable', 'PenerimaanBarangController@datatable')->name('PenerimaanBarang.datatable');
Route::get('PenerimaanBarang/get_purchase_order_detail', 'PenerimaanBarangController@get_purchase_order_detail')->name('PenerimaanBarang.purchase_order_detail');
Route::get('Laporan_penerimaan_barang/index', 'PenerimaanBarangController@laporan')->name('PenerimaanBarang.laporan');
Route::resource('PenerimaanBarang', 'PenerimaanBarangController');
Route::post('PenerimaanBarang/get_purchase_order', 'PenerimaanBarangController@get_purchase_order')->name('PenerimaanBarang.purchase_order');
Route::get('PenerimaanBarang/detail/{id}', 'PenerimaanBarangController@detail')->name('PenerimaanBarang.detail');
Route::get('PenerimaanBarang/print/{id}', 'PenerimaanBarangController@print')->name('PenerimaanBarang.print');
Route::post('PenerimaanBarang/update_data', 'PenerimaanBarangController@update_data')->name('PenerimaanBarang.update_data');

// INVOICE PEMBELIAN //
Route::get('InvoicePembelian/laporan', 'InvoicePembelianController@laporan')->name('InvoicePembelian.laporan');
Route::get('InvoicePembelian/datatable', 'InvoicePembelianController@datatable')->name('InvoicePembelian.datatable');
Route::get('InvoicePembelian/datatable_detail', 'InvoicePembelianController@datatable_detail')->name('InvoicePembelian.datatable_detail');
Route::get('InvoicePembelian/get_penerimaan_barang_detail', 'InvoicePembelianController@get_penerimaan_barang_detail')->name('InvoicePembelian.penerimaan_barang_detail');
Route::get('InvoicePembelian/laporan_invoice', 'InvoicePembelianController@laporan_invoice')->name('InvoicePembelian.laporan_invoice');
Route::get('InvoicePembelian/datatable_laporan', 'InvoicePembelianController@datatable_laporan')->name('InvoicePembelian.datatable_laporan');
Route::resource('InvoicePembelian', 'InvoicePembelianController');
Route::post('InvoicePembelian/number_invoice', 'InvoicePembelianController@number_invoice')->name('InvoicePembelian.number');
Route::post('InvoicePembelian/get_penerimaan_barang', 'InvoicePembelianController@get_penerimaan_barang')->name('InvoicePembelian.penerimaan_barang');
// Route::get('InvoicePembelian/detail/{id}', 'InvoicePembelianController@detail')->name('InvoicePembelian.detail');
Route::get('InvoicePembelian/print/{id}', 'InvoicePembelianController@print')->name('InvoicePembelian.print');
Route::post('InvoicePembelian/get_coa', 'InvoicePembelianController@get_coa')->name('InvoicePembelian.get_coa');
Route::post('InvoicePembelian/update_data', 'InvoicePembelianController@update_data')->name('InvoicePembelian.update_data');
Route::get('InvoicePembelian/get_barang', 'InvoicePembelianController@get_barang')->name('InvoicePembelian.get_barang');
Route::get('InvoicePembelian/get_satuan', 'InvoicePembelianController@get_satuan')->name('InvoicePembelian.get_satuan');
Route::get('InvoicePembelian/get_harga_jual', 'InvoicePembelianController@get_harga_jual')->name('InvoicePembelian.get_harga_jual');
Route::get('/InvoicePembelian/show/{id}', 'InvoicepembelianController@showdata');

Route::get('ReturPembelian/get_pembelian', 'ReturPembelianController@get_pembelian')->name('ReturPembelian.get_pembelian');
Route::get('ReturPembelian/laporan', 'ReturPembelianController@index')->name('ReturPembelian.laporan');
Route::get('ReturPembelian/datatable', 'ReturPembelianController@datatable')->name('ReturPembelian.datatable');
Route::get('ReturPembelian/datatable_detail', 'ReturPembelianController@datatable_detail')->name('ReturPembelian.datatable_detail');
Route::get('ReturPembelian/get_pembelian_detail', 'ReturPembelianController@get_pembelian_detail')->name('ReturPembelian.pembelian_detail');
Route::get('ReturPembelian/laporan_retur_pembelian', 'ReturPembelianController@laporan_retur')->name('ReturPembelian.laporan_retur');
Route::get('ReturPembelian/datatable_laporan', 'ReturPembelianController@datatable_laporan')->name('ReturPembelian.datatable_laporan');
Route::resource('ReturPembelian', 'ReturPembelianController');
Route::post('ReturPembelian/get_pembelian', 'ReturPembelianController@get_pembelian')->name('ReturPembelian.pembelian');
Route::get('ReturPembelian/detail/{id}', 'ReturPembelianController@detail')->name('ReturPembelian.detail');
Route::get('ReturPembelian/print/{id}', 'ReturPembelianController@print')->name('ReturPembelian.print');

//=====================================
//===========================Route POST
//=====================================

Route::post('coa/simpancoa', 'CoaController@simpandatacoa');
Route::post('coa/simpandataedit', 'CoaController@simpandataeditcoa');
Route::post('coa/pencariancoa', 'CoaController@pencariancoa');

Route::post('/Matauang/pencarian', 'MatauangController@pencarian');
Route::post('/Matauang/simpandata', 'MatauangController@simpandata');
Route::post('/Matauang/addidr', 'MatauangController@addidr');
Route::post('/Matauang/edit_matauang', 'MatauangController@edit_matauang');

resources/views/hargajualbarang/create.blade.php
<!-- ===========Create By Dedy 13-12-2019=============== -->
@extends('layouts.app')
@section('content')
<style>
    .select2-selection__rendered {
        line-height: 31px !important;
    }
    .select2-container .select2-selection--single {
        height: 35px !important;
    }
    .select2-selection__arrow {
        height: 34px !important;
        font-size: 14px;
    }
</style>
<div class="main-grid">
	<div class="banner">
	    <h2>
	        <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
	            <i class="fa fa-angle-right"></i>
	            <a href="{{route('HargaJualBarang.index')}}">Data Harga Jual Barang</a>
	            <i class="fa fa-angle-right"></i>
	        <span>Tambah Harga Jual Barang</span>
	    </h2>
	</div>
	<br>
	<div class="banner text-center" style="font-size: 20px; font-weight: bold;color: #fff;background-color: #254283;padding: 10px; height: 50px;">
    	<span>Tambah Data Harga Jual Barang</span>
    </div>

    <div class="bannerbody">
        <form id="form-data">
            {{ csrf_field() }}
            <table class="table table-responsive">
                <tr>
                    <td style="width: 20%;">
                        Nama Barang
                    </td>
                    <td style="width: 5%;"> : </td>
                    <td>
                        <select name="IDBarang" id="IDBarang" class="form-control select2" style="width: 100%">
                            <option value="">- Pilih Barang -</option>
                            @foreach ($data_barang as $item)
                                <option value="{{ $item->IDBarang }}" data-idsatuan="{{ $item->IDSatuan }}" data-satuan="{{ $item->Satuan }}"> {{ $item->Nama_Barang }} </option>
                            @endforeach
                        </select>
                    </td>
                </tr>
            </table>
            <!--<br>-->
            <div class="container" style="width: 100%; margin-bottom: 50px;">
                <div id="content">
                    <ul id="tabs" class="nav nav-tabs" data-tabs="tabs" style="float: right;margin-right: 15px;">
                        <li class="active"><a href="#tab-barang" data-toggle="tab">Input Harga Jual Barang</a></li>
                    </ul>
                </div>
                <div id="my-tab-content" class="tab-content">
                    <div class="tab-pane active" id="tab-barang">
                        <div class="form-title">
                            <span><i class="fa fa-th-list"></i>&nbsp;Barang</span>	
                        </div> 
                        <div class="container" style="width: 100%">
                            <br>
                            <table class="table table-bordered" id="table-satuan" style="font-size: 12px;">
                                <thead style="background-color: #16305d; color: white">
                                <tr>
                                    <th style="width: 20%;">Group Customer</th>
                                    <th style="width: 15%">Satuan</th>
                                    <th style="width: 20%;">Mata Uang</th>
                                    <th style="width: 20%;">Modal</th>
                                    <th style="width: 20%;">Jual</th>
                                    <th style="width: 5%;">Action</th>
                                </tr>
                                </thead>
                                <tbody id="list-satuan">

                                </tbody>
                            </table>
                            <a class="btn col-11" id="btn-add-satuan" ><i class="col-11 hvr-icon-float-away">Tambah</i></a>
                            <div class="btn col-16">
                                <span> <a style="color: white; float: right;" href="{{ route('HargaJualBarang.index') }}">Kembali</a></span>
                            </div>
                            <div class="col-md-12">
                                <button class="btn btn-info" type="submit" id="simpan" name="simpan" style="float: right; margin-top: 10px;">Simpan</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>

<script>
    var urlIndex    = '{{ route("HargaJualBarang.index") }}';
    var urlInsert = '{{ route("HargaJualBarang.store") }}';
    var url     = '{{ url("HargaJualBarang") }}';
    var urlSatuan = '{{ route("HargaJualBarang.get_satuan") }}';
    var data_customer_group = <?php echo json_encode($data_customer_group, JSON_PRETTY_PRINT) ?>;
    var data_mata_uang = <?php echo json_encode($data_mata_uang, JSON_PRETTY_PRINT) ?>;
    var data_satuan = [];
</script>
<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/hargajual/create.js') }}"></script>

@endsection

resources/views/hargajualbarang/index.blade.php
<!-- ===========Create By Dedy 13-12-2019=============== -->
@extends('layouts.app')   
@section('content')
<style>
    span a .fa {
        cursor: pointer;
        padding: 5px;
    }
</style>
<div class="main-grid">
    <div class="banner">
        <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url('HargaJualBarang')}}">Data Harga Jual</a>
                <i class="fa fa-angle-right"></i>
                <a> Tambah Harga Jual Barang </a>
        </h2>
    </div>
    <br>
    <div class="banner container">
            <div class="col-md-12">
               <div class="btn btn-primary hvr-icon-float-away">
                    <a href="{{url('HargaJualBarang/create')}}"><span style="color: white;">Tambah Data&nbsp;&nbsp;</span></a>
                </div> 
            
            </div>
            <br><br><br>
            <div class="col-md-12 text-center">
                <div class="col-md-4">
                    <select name="field" id="field" data-placeholder="Cari Berdasarkan" style="width: 100%!important" class="form-control">
                        <option value=""></option>
                        <option value="Kode_Barang">Kode Barang</option>
                        <option value="Nama_Barang">Nama Barang</option>
                    </select>
                </div>
                <div class="col-md-4">
                    <input name="keyword" id="keyword" type="tex" class="form-control" placeholder="Masukkan Keyword">
                </div>
                <div class="col-md-4">
                    <button class="btn btn-primary" id="cari-data" type="submit">Search</button>
                </div>
            </div>
    </div>
    <br>
    <div class="banner">
        <table id="table-data" class="table cell-border" width="100%" style="background-color: #254283; font-size: 12px;">
            <thead style="color: #fff">
                <tr>
                    <th>No</th>
                    <th>Kode Barang</th>
                    <th>Nama Barang</th>
                    <th>Aksi</th>
                </tr>
            </thead>
        </table>
    </div>
</div>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/hargajual/index.js') }}"></script>
<script>
    var urlData = '{{ route("HargaJualBarang.datatable") }}';
    var url                 = '{{ url("HargaJualBarang") }}';
</script>
@endsection

resources/views/hargajualbarang/update.blade.php
@extends('layouts.app')   
@section('content')

<?php
use App\Helpers\AppHelper;
    $angkakoma = isset($coreset) ? $coreset->Angkakoma : 0;
?>
  <div class="main-grid">
    <div class="banner">
         <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url('HargaJualBarang')}}">Data Harga Jual Barang</a>
                <i class="fa fa-angle-right"></i>
                <a href="#">Data Harga Jual Barang - {{ $data_barang->Nama_Barang }}</a>
        </h2>
    </div>
    <br>
    <div class="banner text-center" style="font-size: 14px; font-weight: bold;color: #fff;background-color: #254283;padding: 10px; height: 50px;">     

      <span>List Harga Jual Barang {{ $data_barang->Nama_Barang }}</span>
    </div>
    <div class="bannerbody">
        <div class="container">
          <table class="table table-responsive">
              <tr>
                  <td style="width: 20%;">
                      Nama Barang
                  </td>
                  <td style="width: 5%;"> : </td>
                  <td>
                      {{ $data_barang->Nama_Barang }}
                  </td>
              </tr>
          </table>
          <div class="container" style="width: 100%">
              <br>
              <table class="table table-bordered" id="table-satuan" style="font-size: 12px;">
                  <thead style="background-color: #16305d; color: white">
                    <tr>
                        <th style="width: 5%;">No</th>
                        <th style="width: 20%;">Group Customer</th>
                        <th style="width: 15%">Satuan</th>
                        <th style="width: 15%;">Mata Uang</th>
                        <th style="width: 20%;">Modal</th>
                        <th style="width: 20%;">Jual</th>
                        <th>Action</th>
                    </tr>
                  </thead>
                  <tbody>
                    @foreach ($data_harga_jual_barang as $key => $item)
                        <tr>
                          <td> {{ ++$key }} 
                            <input type="hidden" class="id" name="IDHargaJual" value="{{ $item->IDHargaJual }}">
                            <input type="hidden" class="modal" name="Modal" value="{{ $item->Modal }}">
                            <input type="hidden" class="harga_jual" name="Harga_Jual" value="{{ $item->Harga_Jual }}">
                            <input type="hidden" class="Nama_Group_Customer" name="Nama_Group_Customer" value="{{ $item->Nama_Group_Customer }}">
                            <input type="hidden" class="Satuan" name="Satuan" value="{{ $item->Satuan }}">
                            <input type="hidden" class="Mata_uang" name="Mata_uang" value="{{ $item->Mata_uang }}">
                            <input type="hidden" class="IDMataUang" name="IDMataUang" value="{{ $item->IDMataUang }}">
                            <input type="hidden" class="IDGroupCustomer" name="IDGroupCustomer" value="{{ $item->IDGroupCustomer }}">
                            <input type="hidden" class="IDBarang" name="IDBarang" value="{{ $item->IDBarang }}">
                          </td>
                          <td> {{ $item->Nama_Group_Customer }} </td>
                          <td> {{ $item->Satuan }} </td>
                          <td> {{ $item->Mata_uang }} </td>
                          <td style="text-align: right;"> {{ AppHelper::NumberFormat($item->Modal, $angkakoma) }} </td>
                          <td style="text-align: right;"> {{ AppHelper::NumberFormat($item->Harga_Jual, $angkakoma) }} </td>
                          <td> <span class="action-icons edit"><i class="fa fa-pencil fa-lg"></i></span> &nbsp;
                            <span><a title="Hapus" onclick="deleteData('{{ $item->IDHargaJual }}', '{{ url('HargaJualBarang') . '/' . $item->IDHargaJual }}')"><i class="fa fa-times-circle fa-lg"  style="color: red"></i></a></span>
                          </td>
                        </tr>
                    @endforeach
                  </tbody>
              </table>
              <div class="btn col-16">
                  <span> <a style="color: white; float: right;" href="{{ route('HargaJualBarang.index') }}">Kembali</a></span>
              </div>
          </div>
        </div>
        <br><br><br>
    </div>
  </div>
</div>



<div id="modal-data" class="modal fade" role="dialog">
  <div class="modal-dialog">
    <form id="form-data">
      {{ csrf_field() }}
      <!-- Modal content-->
      <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Edit Harga Jual</h4>
          </div>
          <div class="modal-body">
            <div class="row" style="padding: 10px;">
              <input type="hidden" name="IDHargaJual" id="IDHargaJual">
              <input type="hidden" name="IDBarang" id="IDBarang">
              <label class="field_title">Group Customer</label>
              <select name="IDGroupCustomer" id="IDGroupCustomer" class="form-control select2" style="width: 100%">
                  <option value="">- Pilih Group Customer -</option>
                  @foreach ($data_customer_group as $item)
                      <option value="{{ $item->IDGroupCustomer }}"> {{ $item->Nama_Group_Customer }} </option>
                  @endforeach
              </select>
              <label class="field_title">Satuan</label>
              <div class="form_input">
                <input type="text" name="Satuan" id="Satuan" class="form-control" readonly>
              </div>
              <label class="field_title">Mata Uang</label>
              <select name="IDMataUang" id="IDMataUang" class="form-control select2" style="width: 100%">
                  <option value="">- Pilih Mata Uang -</option>
                  @foreach ($data_mata_uang as $item)
                      <option value="{{ $item->IDMataUang }}"> {{ $item->Mata_uang }} </option>
                  @endforeach
              </select>
              <label class="field_title">Modal</label>
              <div class="form_input">
                <input type="text" name="Modal" id="Modal" class="form-control text-right price">
              </div>
              <label class="field_title">Harga Jual</label>
              <div class="form_input">
                <input type="text" name="Harga_Jual" id="Harga_Jual" class="form-control text-right price">
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn col-16" class="close" data-dismiss="modal">Tutup</button>
            <button type="submit" class="btn btn-success">Simpan</button>
          </div>
      </div>
    </form>
  </div>
</div>

<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/hargajual/update.js') }}"></script>
<script>
    var urlUpdate   = '{{ route("HargaJualBarang.update_data") }}';
    var url         = '{{ url("HargaJualBarang") }}';
    var IDBarang    = '{{ $data_barang->IDBarang }}';
</script>

@endsection